cancel
Showing results for 
Search instead for 
Did you mean: 

upgrade to 2.3.2 error developer.php

upgrade to 2.3.2 error developer.php

Hello,

i still want to update a m2 shop to the 2.3.2 version, but when i want to start the upgrade i get these error:

/home/users/XXX/www$ php bin/magento setup:upgrade

 

 

PHP Fatal error: Uncaught Error: Cannot instantiate interface Magento\InventoryReservationsApi\Model\ReservationBuilderInterface in /home/users/XXX/www/vendor/magento/framework/ObjectManager/Factory/Dynamic/Developer.php:50
Stack trace:
#0 /home/users/XXX/www/vendor/magento/framework/ObjectManager/ObjectManager.php(70): Magento\Framework\ObjectManager\Factory\Dynamic\Developer->create('Magento\\Invento...')
#1 /home/users/XXX/www/vendor/magento/framework/ObjectManager/Factory/AbstractFactory.php(160): Magento\Framework\ObjectManager\ObjectManager->get('Magento\\Invento...')
#2 /home/users/XXX/www/vendor/magento/framework/ObjectManager/Factory/AbstractFactory.php(246): Magento\Framework\ObjectManager\Factory\AbstractFactory->resolveArgument(Array, 'Magento\\Invento...', NULL, 'reservationBuil...', 'Magento\\Invento...')
#3 /home/users/XXX/www/vendor/magento/framework/ObjectManager/Factory/Dynamic/Developer.php(34): Magento\Framework\ObjectManager\Factory\AbstractFactory->resolveArguments in /home/users/XXX/www/vendor/magento/framework/ObjectManager/Factory/Dynamic/Developer.php on line 50

 

What can i do?

 

Kind regards

Olek

11 REPLIES 11

Re: upgrade to 2.3.2 error developer.php

Hi @Olek89

Try once
composer require magento/product-community-edition=2.3.2 --no-update
composer update

Then run following commands in the sequence:

chmod -R 0777 var/ pub/ generated/
rm -rf var/cache/* var/view_preprocessed/* generated/* pub/static/*
php bin/magento setup:upgrade
php bin/magento setup:di:compile
php bin/magento setup:static-content:deploy
php bin/magento cache:flush
php bin/magento indexer:reindex
chmod -R 0777 var/ pub/ generated/

I hope it will help you!

Re: upgrade to 2.3.2 error developer.php

Thank you for your answer, but stil the same :-(.

 

XXX@vserver3520:/home/users/XXX/www$ /opt/keyhelp/php/7.1/bin/php composer.phar require magento/product-community-edition=2.3.2 --no-update
./composer.json has been updated

 

XXX@vserver3520:/home/users/XXX/www$ /opt/keyhelp/php/7.1/bin/php composer.phar update
Loading composer repositories with package information
Updating dependencies (including require-dev)
Nothing to install or update
Package phpunit/phpunit-mock-objects is abandoned, you should avoid using it. No replacement was suggested.
Generating autoload files
XXX@vserver3520:/home/users/XXX/www$ chmod -R 0777 var/ pub/ generated/
XXX@vserver3520:/home/users/XXX/www$ rm -rf var/cache/* var/view_preprocessed/* generated/* pub/static/*
XXX@vserver3520:/home/users/XXX/www$ /opt/keyhelp/php/7.1/bin/php bin/magento setup:upgrade PHP Fatal error: Uncaught Error: Cannot instantiate interface Magento\InventoryReservationsApi\Model\ReservationBuilderInterface in /home/users/XXX/www/vendor/magento/framework/ObjectManager/Factory/Dynamic/Developer.php:50
Stack trace:
#0 /home/users/XXX/www/vendor/magento/framework/ObjectManager/ObjectManager.php(70): Magento\Framework\ObjectManager\Factory\Dynamic\Developer->create('Magento\\Invento...')
#1 /home/users/XXX/www/vendor/magento/framework/ObjectManager/Factory/AbstractFactory.php(160): Magento\Framework\ObjectManager\ObjectManager->get('Magento\\Invento...')
#2 /home/users/XXX/www/vendor/magento/framework/ObjectManager/Factory/AbstractFactory.php(246): Magento\Framework\ObjectManager\Factory\AbstractFactory->resolveArgument(Array, 'Magento\\Invento...', NULL, 'reservationBuil...', 'Magento\\Invento...')
#3 /home/users/XXX/www/vendor/magento/framework/ObjectManager/Factory/Dynamic/Developer.php(34): Magento\Framework\ObjectManager\Factory\AbstractFactory->resolveArguments in /home/users/XXX/www/vendor/magento/framework/ObjectManager/Factory/Dynamic/Developer.php on line 50
XXX@vserver3520:/home/users/XXX/www$

Re: upgrade to 2.3.2 error developer.php

Can somebody help?

Re: upgrade to 2.3.2 error developer.php

i have cleared some server problems, now if i want to setup:di:compile i get the following error.

 

XXX@vserver3520:/home/users/XXX/www$ /opt/keyhelp/php/7.1/bin/php -f /home/users/XXX/www/bin/magento setup:di:compile
Compilation was started.
Interception cache generation... 6/7 [========================>---] 85% 39 secs 344.0 MiBErrors during compilation:
Bss\GuestToCustomer\Model\ResourceModel\Guest\Grid\Collection
Incompatible argument type: Required type: \Magento\Framework\DB\Adapter\AdapterInterface. Actual type: string; File:
/home/users/XXX/www/app/code/Bss/GuestToCustomer/Model/ResourceModel/Guest/Grid/Collection.php

Total Errors Count: 1

In Log.php line 92:

Error during compilation


setup:di:compile

 

 

What can i do?

 

 

Re: upgrade to 2.3.2 error developer.php

I've just encountered this. Trying to troubleshoot why this has happened, as my version of Magento was already upgraded to 2.3.2 Smiley Frustrated

Re: upgrade to 2.3.2 error developer.php

thank you, now i have deinstalled this extension.

The new problem after update is, that the shop is shown with all categories, but if i click on an product that shows me only the image of the product, what could it be?

 

Thy

Re: upgrade to 2.3.2 error developer.php

How did you clear the original error?

Re: upgrade to 2.3.2 error developer.php

i have cleared all caches and entries, and installed it new, than it works fine.

Re: upgrade to 2.3.2 error developer.php

Please first check with below modules which should be disable and run the setup:upgrade command

 

'Magento_Inventory' => 0,
'Magento_InventoryAdminUi' => 0,
'Magento_InventoryAdvancedCheckout' => 0,
'Magento_InventoryApi' => 0,
'Magento_InventoryBundleProduct' => 0,
'Magento_InventoryBundleProductAdminUi' => 0,
'Magento_InventoryCatalog' => 0,
'Magento_InventorySales' => 0,
'Magento_InventoryCatalogAdminUi' => 0,
'Magento_InventoryCatalogApi' => 0,
'Magento_InventoryCatalogSearch' => 0,
'Magento_InventoryConfigurableProduct' => 0,
'Magento_InventoryConfigurableProductAdminUi' => 0,
'Magento_InventoryConfigurableProductIndexer' => 0,
'Magento_InventoryConfiguration' => 0,
'Magento_InventoryConfigurationApi' => 0,
'Magento_InventoryDistanceBasedSourceSelection' => 0,
'Magento_InventoryDistanceBasedSourceSelectionAdminUi' => 0,
'Magento_InventoryDistanceBasedSourceSelectionApi' => 0,
'Magento_InventoryElasticsearch' => 0,
'Magento_InventoryExportStockApi' => 0,
'Magento_InventoryIndexer' => 0,
'Magento_InventorySalesApi' => 0,
'Magento_InventoryGroupedProduct' => 0,
'Magento_InventoryGroupedProductAdminUi' => 0,
'Magento_InventoryGroupedProductIndexer' => 0,
'Magento_InventoryImportExport' => 0,
'Magento_InventoryCache' => 0,
'Magento_InventoryLowQuantityNotification' => 0,
'Magento_InventoryLowQuantityNotificationAdminUi' => 0,
'Magento_InventoryLowQuantityNotificationApi' => 0,
'Magento_InventoryMultiDimensionalIndexerApi' => 0,
'Magento_InventoryProductAlert' => 0,
'Magento_InventoryRequisitionList' => 0,
'Magento_InventoryReservations' => 0,
'Magento_InventoryReservationCli' => 0,
'Magento_InventoryReservationsApi' => 0,
'Magento_InventoryExportStock' => 0,
'Magento_InventorySalesAdminUi' => 0,
'Magento_InventorySalesFrontendUi' => 0,
'Magento_InventorySetupFixtureGenerator' => 0,
'Magento_InventoryShipping' => 0,
'Magento_InventorySourceDeductionApi' => 0,
'Magento_InventorySourceSelection' => 0,
'Magento_InventorySourceSelectionApi' => 0,